package com.xintong.visualinspection.dao.master;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import com.xintong.visualinspection.bean.Task;
import com.xintong.visualinspection.bean.TaskStatus;

/**
 * 文件名：UserInfoDao
 * 版本信息：日期：2017/3/30 Copyright 江苏省交通规划设计院 Corporation 2017 版权所有.
 */
@Mapper
public interface TaskDao  {
    public List<Task> getAll();
    public Task getOne(Long id);
    public List<Task> getList(Task task);
    public List<Task> getListByChecked(Task task);
    public void insert(Task task);
    public void insertStatus(TaskStatus taskStatus);
    public void update(Task task);
    public void delete(Long id);
    public List<TaskStatus> getTaskStatusList(Long id);
    public void dispatch(Task task);
    public void dispatchById(Task task);
    public void insertStatusBatch(List<TaskStatus> taskStatusList);
}
